#
# spec file for package xine-lib
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xine-lib
# %bcond_with = default off
# %bcond_without = default on
#
# --with distributable      -> don't build libxine1-codecs
# --without distributable   -> build libxine1-codecs
#
# default for buildservice is no patented codecs
%bcond_without distributable
%bcond_with onlynondistributable
%if 0%{suse_version} >= 1100
%bcond_without pulseaudio
%else
%bcond_with pulseaudio
%endif
%bcond_with sdl
%bcond_with aalib
%bcond_with arts
%bcond_with esd
%bcond_with jack
%bcond_without gnome_vfs
%bcond_with directfb
%if 0%{suse_version} > 1110
%bcond_without modplug
%else
%bcond_with modplug
%endif
#
%bcond_without external_ffmpeg
#
BuildRequires:  ImageMagick-devel alsa-devel flac-devel giflib-devel
BuildRequires:  glib2-devel gnutls-devel gtk2-devel imlib2-devel krb5-devel
BuildRequires:  libcdio-devel libdrm-devel libmng-devel libsmbclient
BuildRequires:  Mesa-devel libsmbclient-devel libtheora-devel libvorbis-devel
BuildRequires:  readline-devel update-desktop-files vcdimager-devel
BuildRequires:  speex-devel
BuildRequires:  libtool
%if 0%{suse_version} >= 1210
BuildRequires:  libv4l-devel >= 0.8.4
%else
%if 0%{suse_version} >= 1110
BuildRequires:  libv4l-devel
%endif
%endif
%if 0%{suse_version} >= 1030
BuildRequires:  lirc-devel
%else
BuildRequires:  lirc
%endif
%if !%{with distributable}
# those requiremens are optional but internal copies are likely old
%if %{with external_ffmpeg}
BuildRequires:  libfaad-devel libffmpeg-devel
%endif
%endif
%if %{with pulseaudio}
BuildRequires:  libpulse-devel
%endif
%if %{with sdl}
BuildRequires:  SDL-devel
%endif
%if %{with aalib}
BuildRequires:  aalib-devel
BuildRequires:  libcaca-devel
%endif
%if %{with arts}
BuildRequires:  arts-devel
%endif
%if %{with esd}
BuildRequires:  esound-devel
%endif
%if %{with gnome_vfs}
BuildRequires:  gnome-vfs2-devel
%endif
%if %{with jack}
BuildRequires:  libjack-devel
%endif
%if %{with directfb}
%if 0%{suse_version} >= 1020
BuildRequires:  DirectFB-devel
%else
BuildRequires:  DirectFB
%endif
%endif
%if %{with modplug}
BuildRequires:  libmodplug-devel
%endif
Version:        1.1.20.1
Release:        52.2
# bug437293
%ifarch ppc64
Obsoletes:      xine-lib-64bit
%endif
%define abiversion 1.30
Summary:        Video Player with Plug-Ins
Group:          Productivity/Multimedia/Video/Players
License:        GPLv2+
Url:            http://www.xine-project.org/home
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with distributable}
Source:         xine-lib-%{version}-crippled.tar.bz2
%else
Source:         http://downloads.sourceforge.net/project/xine/xine-lib/%{version}/xine-lib-%{version}.tar.bz2
%endif
Source2:        baselibs.conf
Source10:       README.SuSE
Source99:       precheckin_cripple_tarball.sh
# *** xine-lib: Bugfixes
Patch26:        xine-lib-doc-fix-X11R6.diff
Patch28:        xine-lib-%{version}-ia64-is-not-alpha.diff
Patch31:        xine-lib-%{version}-glitch-free-pulseaudio.patch
# *** Addons
Patch50:        vdr-xine-0.9.3.diff.bz2
Patch51:        vdr-xine-SUSE.diff
Patch61:        xine-lib-%{version}-mjpegplugin.diff
Patch62:        xine-lib-libdvdread_udf.diff
# *** SUSE only changes
Patch70:        xine-lib-crippled-LOCAL.diff
Patch71:        xine-lib-%{version}-demuxcheckfor_mad_ffmpeg.patch
Patch72:        xine-lib-%{version}-install-plugins-helper.diff
Patch73:        xine-lib-%{version}-assert.patch
Patch74:        xine-configure.diff
Patch75:        xine-lib-v4l-2.6.38.patch
# *** Only working for noncrippled source
Patch80:        xine-lib-various-noncrippled.diff

%description
xine is a free multimedia player. It plays back CDs, DVDs, and VCDs. It
also decodes multimedia files like AVI, MOV, WMV, and MP3 from local
disk drives, and displays multimedia streamed over the Internet. It
interprets many of the most common multimedia formats available - and
some of the most uncommon formats, too.

%description -l de
xine ist ein freies Multimedia Wiedergabeprogramm. Es spielt Musik-CDs,
Video-DVDs und VCDs. Es gibt auch Multimeda Dateien wie AVI, MOV, WMV
und MP3 von der lokalen Platte sowie über das Internet wieder. Es gibt
die meisten übliche Multimedia Formate wieder, sowie einige weniger
verbreitete.

%package -n libxine1
Summary:        Video Player with Plug-Ins
Group:          Productivity/Multimedia/Video/Players
License:        GPLv2+
Provides:       xine-lib = %{version}-%{release}
Obsoletes:      xine-lib < %{version}-%{release}
Provides:       xine-extra = %{version}-%{release}
Obsoletes:      xine-extra < %{version}-%{release}
Provides:       libxine1-syncfb = %{version}-%{release}
Obsoletes:      libxine1-syncfb < %{version}-%{release}
Provides:       libxine1-xvmc = %{version}-%{release}
Obsoletes:      libxine1-xvmc < %{version}-%{release}
Provides:       libxine1-dvb = %{version}-%{release}
Obsoletes:      libxine1-dvb < %{version}-%{release}
# bug437293
%ifarch ppc64
Obsoletes:      xine-lib-64bit
%endif
#
Recommends:     libxine1-codecs = %{version}
Recommends:     opensuse-codecs-installer

%description -n libxine1
xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters
%endif
More information about xine plug-ins can be found at
http://www.xine-project.org/home

Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%description -n libxine1 -l de
xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
Diese xine-Version lässt eventuell einige Funktione aus rechtlichen
Gründen vermissen (mögliche Patentverletzungen). Siehe dazu
http://www.opensuse.org/XINE#Legal_Matters
%endif
Weitere Informationen über xine Plugins finden Sie unter
http://www.xine-project.org/home

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%package -n libxine-devel
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Development environment for xine-based media players
Group:          Development/Libraries/C and C++
Requires:       glibc-devel freetype2-devel zlib-devel libxine1 = %{version}
Obsoletes:      libxine1-devel < %{version}-%{release}
Provides:       libxine1-devel = %{version}-%{release}
Obsoletes:      xine-devel < %{version}-%{release}
Provides:       xine-devel = %{version}-%{release}
Obsoletes:      xine-lib-devel < %{version}-%{release}
Provides:       xine-lib-devel = %{version}-%{release}
# bug437293
%ifarch ppc64
Obsoletes:      xine-lib-devel-64bit
%endif
#

%description -n libxine-devel
This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters
%endif
More information about xine plug-ins can be found at
http://www.xine-project.org/home

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine-devel -l de
This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
Diese xine-Version lässt eventuell einige Funktione aus rechtlichen
Gründen vermissen (mögliche Patentverletzungen). Siehe dazu
http://www.opensuse.org/XINE#Legal_Matters
%endif
Weitere Informationen über xine Plugins finden Sie unter
http://www.xine-project.org/home

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%if %{with pulseaudio}

%package -n libxine1-pulse
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Pulseaudio plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}
Supplements:    packageand(libpulse0:libxine1)

%description -n libxine1-pulse
xine sound output plugin for the pulseaudio soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-pulse -l de
xine Soundausgabeplugin für den Pulseaudio Soundserver

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif
%if %{with sdl}

%package -n libxine1-sdl
License:        GPLv2+ ; Public Domain, Freeware
Summary:        SDL plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-sdl
SDL xine video output plugin

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-sdl -l de
SDL xine Video-Ausgabeplugin

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if %{with arts}

%package -n libxine1-arts
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Arts plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-arts
xine sound output plugin for the arts soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-arts -l de
xine Soundausgabeplugin für den arts Soundserver

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if %{with aalib}

%package -n libxine1-aa
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Aalib and libcaca plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-aa
aalib and libcaca xine video-output plugin

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>


%description -n libxine1-aa -l de
aalib und libcaca xine Video Ausgabeplugin

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif
%if %{with esd}

%package -n libxine1-esd
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Esd plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-esd
libxine sound output plugin for the esound soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-esd -l de
libxine Soundausgabeplugin für den esound Soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%endif
%if %{with jack}

%package -n libxine1-jack
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Jack plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-jack
xine sound output plugin for the jack soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-jack -l de
xine Soundausgabeplugin für den jack Soundserver

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if %{with directfb}

%package -n libxine1-directfb
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Directfb plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-directfb
Directfb xine video-output plugin

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-directfb -l de
Directfb xine Video-Ausgabeplugin

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if %{with gnome_vfs}

%package -n libxine1-gnome-vfs
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Gnome-vfs plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}
Supplements:    packageand(gnome-vfs2:libxine1)

%description -n libxine1-gnome-vfs
Input plugin which enables xine to use Gnome-vfs

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-gnome-vfs -l de
Eingabeplugin welches xine ermöglicht Gnome-vfs zu benutzen

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if !%{with distributable}

%package -n libxine1-codecs
License:        GPLv2+ ; Public Domain, Freeware
# these libs are possibly illegal and may not work without libdvdcss anyway
Summary:        Xine plugins for watching DVDs, DivX and more
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}
Obsoletes:      xine-mad
Obsoletes:      xine-internal < %{version}-%{release}
Provides:       libxine1-dvd = %{version}-%{release}
Obsoletes:      libxine1-dvd < %{version}-%{release}
Provides:       libxine1-dxr3 = %{version}-%{release}
Obsoletes:      libxine1-dxr3 < %{version}-%{release}
Provides:       xine-lib:%{_libdir}/xine/plugins/1.0.0/xineplug_decode_mad.so xine-mad
Obsoletes:      xine-mad
Provides:       libxine1-dvd = %{version}-%{release}
Obsoletes:      libxine1-dvd < %{version}-%{release}
Provides:       libxine1-dxr3 = %{version}-%{release}
Obsoletes:      libxine1-dxr3 < %{version}-%{release}
%ifarch %{ix86}
Provides:       libxine1-w32dll = %{version}-%{release}
Obsoletes:      libxine1-w32dll < %{version}-%{release}
%endif
Recommends:     libdvdcss2 >= 1.2.10

%description -n libxine1-codecs
With these xine plug-ins, you can watch DVDs and all other kind of
media using xine. More information about xine plug-ins can be found at
http://www.xine-project.org/home

Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%description -n libxine1-codecs -l de
Mit diesem xine Plugins können Sie DVDs und alle von xine unterstützten
Medienverainten abspielen. Weitere Informationtne über xine Plugins
finden Sie unter
http://www.xine-project.org/home

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%prep
%if %{with distributable} && %{with onlynondistributable}
%error need --without distributable for --with onlynondistributable
%endif
cat <<EOF
+++ rpm build options +++'
Distributable version:	%{with distributable}
%if !%{with distributable}
  Codecs package only:	%{with onlynondistributable}
  External ffmpeg:	%{with external_ffmpeg}
%endif
Pulseaudio:		%{with pulseaudio}
SDL:			%{with sdl}
aalib:			%{with aalib}
arts:			%{with arts}
esd:			%{with esd}
jack:			%{with jack}
gnome_vfs:		%{with gnome_vfs}
directfb:		%{with directfb}
modplug:		%{with modplug}
+++++++++++++++++++++++++'
EOF
%setup -q
%patch26
%patch28 -p1
%patch31 -p1
%if 0%{suse_version} >= 1110
# set fuzzy=2 to get patch work with crippled and noncrippled tarball
%patch50 -p1 -F2
%else
%patch50 -p1
%endif
%patch51 -p1
sed -i 's|^noinst_HEADERS = input_vdr.h|xineinclude_HEADERS = input_vdr.h|' src/vdr/Makefile.am
%if 0%{suse_version} >= 1110
# set fuzzy=2 to get patch work with crippled and noncrippled tarball
%patch61 -p1 -F2
%else
%patch61 -p1
%endif
%patch62 -p1
#sed -i 's|^ac_config_files="|ac_config_files="src/vdr/Makefile src/mjpeg/Makefile|' configure
%if %{with distributable}
# Only apply to crippled source
%patch70
%patch71 -p1
%else
# Only apply to uncrippled source
%patch80
%endif
%patch72 -p1
%patch73 -p1
%patch74 -p1
%if 0%{suse_version} >= 1210
%patch75
%endif

rm -f m4/libtool15.m4

%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fno-force-addr"
export CCASFLAGS=-Wa,--noexecstack
%if 0%{suse_version} < 1011
echo 'AC_DEFUN([AC_REQUIRE_AUX_FILE])dnl' >> acinclude.m4
%endif
%if 0%{?suse_version} < 1020
  # hack for sles10
  rm m4/gettext.m4
  sed -i -e '/AM_GNU_GETTEXT_VERSION/s/0\.16\.1/0.14/' configure.ac
%endif
if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi
AUTOPOINT=true autoreconf -fi
./configure --prefix=/usr \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
%if 0%{suse_version} > 1010
	--docdir=%{_defaultdocdir}/xine \
%else
	docdir=%{_defaultdocdir}/xine \
%endif
	--enable-fpic \
	--enable-antialiasing \
	--with-libflac \
	--with-freetype \
	%{?with_modplug:--enable-modplug} \
	%{?with_directfb:--enable-directfb} \
	%{?with_arts:--with-arts} \
%if !%{with sdl}
	--without-sdl \
%endif
%if !%{with distributable}
	%{?with_external_ffmpeg:--with-external-ffmpeg} \
%endif
%ifarch %{ix86}
	--with-w32-path=/usr/lib/win32 \
%endif
%if 0%{suse_version} >= 1110
	--enable-v4l --enable-libv4l \
%else
	--disable-v4l --disable-libv4l \
%endif
	--with-install-plugins-helper=${_prefix}/lib/opensuse-codecs-installer
%if 0%{?suse_version} < 1110
# wtf libtool shit. $echo is unset. I guess there is a way to fix
# this properly, please tell me!
echo=echo \
%endif
make %{?jobs:-j%{jobs}}

%install
%if 0%{?suse_version} < 1110
# same libtool problem here
echo=echo \
%endif
make install DESTDIR=%{buildroot}
LIB="%{buildroot}%{_libdir}/xine/plugins/%{abiversion}"
# install documentation
install -m 0644 %{SOURCE10} COPYING AUTHORS %{buildroot}%{_defaultdocdir}/xine/
# remove usless READMEs
rm %{buildroot}%{_defaultdocdir}/xine/README.{irix,solaris,WIN32}
%ifarch %{ix86}
  mkdir -p %{buildroot}/usr/lib/win32
%endif
#
# big plugin sorting
#
cat > plugins << EOF
# these plugins do not have legal problems
xineplug_ao_out_alsa
xineplug_ao_out_file
xineplug_ao_out_none
xineplug_ao_out_oss
xineplug_vo_out_fb
xineplug_vo_out_none
xineplug_vo_out_opengl
xineplug_vo_out_xshm
xineplug_vo_out_xv
%if 0%{suse_version} > 1020
xineplug_vo_out_xcbshm
xineplug_vo_out_xcbxv
%endif
xineplug_vo_out_raw
xineplug_inp_dvb
xineplug_inp_dvd
%if 0%{suse_version} >= 1110
xineplug_inp_v4l
xineplug_inp_v4l2
xineplug_inp_pvr
%endif
xineplug_inp_file
xineplug_inp_http
xineplug_inp_net
xineplug_inp_pnm
xineplug_inp_cdda
xineplug_inp_smb
xineplug_inp_stdin_fifo
xineplug_inp_rtsp
xineplug_inp_rtp
xineplug_decode_bitplane
xineplug_decode_rgb
xineplug_decode_mjpeg
xineplug_decode_vorbis
xineplug_decode_yuv
xineplug_decode_lpcm
xineplug_decode_real
xineplug_decode_speex
xineplug_decode_theora
xineplug_decode_mpc
xineplug_decode_gdk_pixbuf
xineplug_decode_spucmml
xineplug_decode_sputext
xineplug_decode_spuhdmv
# requires ImageMagick
xineplug_decode_image
xineplug_dmx_yuv_frames
xineplug_dmx_real
xineplug_dmx_audio
xineplug_dmx_iff
xineplug_dmx_avi
xineplug_dmx_flv
xineplug_dmx_image
xineplug_dmx_matroska
xineplug_dmx_ogg
xineplug_dmx_fli
xineplug_dmx_nsv
xineplug_dmx_mng
xineplug_dmx_pva
xineplug_dmx_qt
xineplug_dmx_rawdv
xineplug_dmx_sputext
xineplug_dmx_games
xineplug_dmx_slave
xineplug_flac
xineplug_vdr
xineplug_vo_out_xxmc
xineplug_vo_out_xvmc
xineplug_vo_out_syncfb
%ifarch %{ix86}
xineplug_vo_out_vidix
%endif
post/xineplug_post_audio_filters
post/xineplug_post_goom
post/xineplug_post_mosaico
post/xineplug_post_switch
post/xineplug_post_tvtime
post/xineplug_post_visualizations
#
.pulse
xineplug_ao_out_pulseaudio
#
.arts
xineplug_ao_out_arts
#
.esd
xineplug_ao_out_esd
#
.jack
xineplug_ao_out_jack
#
.aalib
xineplug_vo_out_aa
xineplug_vo_out_caca
#
.sdl
xineplug_vo_out_sdl
#
.gnome-vfs
xineplug_inp_gnome_vfs
#
.directfb
xineplug_vo_out_directfb
xineplug_vo_out_xdirectfb
#
.codecs
# libmad and MPEG related plugins
xineplug_decode_mad
xineplug_decode_spudvb
xineplug_inp_vcd
xineplug_inp_vcdo
xineplug_decode_mpeg2
xineplug_dmx_mpeg
xineplug_dmx_mpeg_block
xineplug_dmx_mpeg_ts
xineplug_dmx_mpeg_elem
xineplug_dmx_mpeg_pes
xineplug_dmx_yuv4mpeg2
# these plugins do have legal problems
xineplug_decode_a52
xineplug_decode_dts
xineplug_decode_faad
xineplug_decode_ff
xineplug_decode_dvaudio
xineplug_dmx_asf
xineplug_inp_mms
# I am not sure about these plugins, they need to be checked
# Closed Captioning Decoder (EIA-608). Patented ???
xineplug_decode_spucc
xineplug_decode_spu
# NES Music File Format. free ??
xineplug_decode_nsf
# Philips claimed intellectual property on GSM 06.10
xineplug_decode_gsm610
%ifarch %{ix86}
xineplug_decode_qt
xineplug_decode_w32dll
%endif
xineplug_decode_dxr3_video
xineplug_vo_out_dxr3
xineplug_decode_dxr3_spu
# unfortunately using external ffmpeg links the planar post
# processing plugin against ffmpeg libs
post/xineplug_post_planar
#
EOF
#
OUT_FILE=""
grep -v ^# plugins | while read i; do
  [ "${i:0:1}" = "." ] && OUT_FILE=${i} && continue
  echo %{_libdir}/xine/plugins/%{abiversion}/${i}.so >> files${OUT_FILE}
done
%find_lang libxine1
cat libxine1.lang >>files
%if %{with distributable}
xargs -i+ rm -f %{buildroot}/+ <files.codecs
%else
%if 0%{?__debug_package}
# strip patent encumbered plugins to prevent their source from
# ending up in the debuginfo package
xargs -i+ strip --strip-debug %{buildroot}/+ <files.codecs
%endif
%endif
%if %{with onlynondistributable}
for i in files files.*; do
  test "$i" = 'files.codecs' || xargs -i+ rm -f %{buildroot}/+ < $i
done
rm -rf %{buildroot}%{_datadir}
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_defaultdocdir}/xine %{buildroot}/usr/include
rm -rf %{buildroot}/usr/lib/win32 %{buildroot}/%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_libdir}/xine/plugins/%{abiversion}/{vidix,mime.types}
rm -f  %{buildroot}%{_libdir}/libxine*
%endif

%clean
rm -rf %{buildroot}
%if !%{with onlynondistributable}

%post -n libxine1 -p /sbin/ldconfig

%postun -n libxine1 -p /sbin/ldconfig

%files -n libxine1 -f files
%defattr(-,root,root)
%{_bindir}/xine-list-*
%ifarch %{ix86}
%dir /usr/lib/win32
%endif
%dir /%{_libdir}/xine
%dir /%{_libdir}/xine/plugins
%dir /%{_libdir}/xine/plugins/%{abiversion}
%dir /usr/share/xine
%dir /usr/share/xine/libxine1
%{_libdir}/libxine.so.*
%doc %{_mandir}/man1/xine-list-*.gz
%doc %{_mandir}/man5/xine.*
%{_defaultdocdir}/xine
%dir %{_libdir}/xine/plugins/%{abiversion}/post
%{_libdir}/xine/plugins/%{abiversion}/vidix
%{_libdir}/xine/plugins/%{abiversion}/mime.types
#
# xine fonts
# cetus is a freeware font from http://www.fontfreak.com/authors/gregfonts.htm
#
/usr/share/xine/libxine1/fonts
%if %{with pulseaudio}

%files -n libxine1-pulse -f files.pulse
%defattr(-,root,root,0755)
%endif
%if %{with sdl}

%files -n libxine1-sdl -f files.sdl
%defattr(-,root,root,0755)
%endif
%if %{with arts}

%files -n libxine1-arts -f files.arts
%defattr(-,root,root,0755)
%endif
%if %{with esd}

%files -n libxine1-esd -f files.esd
%defattr(-,root,root,0755)
%endif
%if %{with jack}

%files -n libxine1-jack -f files.jack
%defattr(-,root,root,0755)
%endif
%if %{with aalib}

%files -n libxine1-aa -f files.aalib
%defattr(-,root,root,0755)
%endif
%if %{with directfb}

%files -n libxine1-directfb -f files.directfb
%defattr(-,root,root,0755)
%endif
%if %{with gnome_vfs}

%files -n libxine1-gnome-vfs -f files.gnome-vfs
%defattr(-,root,root,0755)
%endif

%files -n libxine-devel
%defattr(-,root,root)
%doc %{_mandir}/man1/xine-config.1.gz
/usr/bin/xine-config
%{_libdir}/pkgconfig/libxine.pc
%{_libdir}/libxine.la
%{_libdir}/libxine.so
/usr/share/aclocal/xine.m4
/usr/include/xine
/usr/include/xine.h
%endif # onlynondistributable
%if !%{with distributable}

%files -n libxine1-codecs -f files.codecs
%defattr(-,root,root)
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{_libdir}/xine/plugins/%{abiversion}
%dir %{_libdir}/xine/plugins/%{abiversion}/post
%endif

%changelog
* Fri Dec  2 2011 Manfred.Tremmel@iiv.de
- update to 1.1.20.1
  * Various bug fixes.
  * Use the current ImageMagick API (if using ImageMagick).
  * Fix PVR plugin input building (needs V4L2).
  * Fixes related to unknown audio & subtitle languages.
  * Memory leak fixes.
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sun Nov 13 2011 Manfred.Tremmel@iiv.de
- update to 1.1.20
  * Imagine that there's a large poppy here.
  * Ensure that file and socket descriptors are marked as CLOEXEC.
  * Enable FFmpeg's support for AAC LATM audio.
  * Fix build-time check for dvdnav.
  * Allow use of GraphicsMagick instead of ImageMagick.
  * Fix build on Debian GNU/kFreeBSD (broken in 1.1.19).
  * Add a Japanese translation from Takeshi Hamasaki.
  * Czech translation update.
  * New MinGW-w64 port, various portability fixes.
  * MinGW port updates.
  * Possibility to disable HW acceleration in directx video output.
  * Header stripping support in Matroska demuxer.
  * Update nosefart to 2.7-mls (stability with corrupted NSF files).
  * Add .ass extension to be recognized as subtitle file. [Bug #123]
* Sun Nov  6 2011 reddwarf@opensuse.org
- Fix Packman build: since /usr/share/xine/mad is no longer needed
  don't create it
* Fri Oct 21 2011 lnussel@suse.de
- fix build: /usr/share/xine/mad is no longer needed
* Thu Jul  7 2011 idonmez@novell.com
- Add xine-lib-v4l-2.6.38.patch: use the new v4l interface
* Sat May 28 2011 Manfred.Tremmel@iiv.de
- included a patch to build against new ffmpeg abi
* Thu Nov 18 2010 coolo@novell.com
- add patch from arch linux to fix build with newer xorg
* Tue Aug  3 2010 lnussel@suse.de
- remove unneeded libcdio-mini-devel buildignore again
* Mon Jul 26 2010 Manfred.Tremmel@iiv.de
- update to 1.1.19
  * Handle odd widths properly (for ffmpeg-decoded video).
  * Make buildable with current (external) libdvdnav & libdvdread.
  * Fix V4L2 check.
  * Add support for Ogg tag 'DISCNUMBER' and ID3 tag 'TPOS'.
  * Add support for EAC3.
  * Recognise video/mp2t and video/mp2p.
  * TTA fixes.
  * Add support for Xv gamma adjustment.
  * Better recovery from ALSA-reported errors.
  * Report stream buffer stats to the application.
  * Recognise and handle the WebM container format.
    (VP8 video is not yet supported.)
  * Recognise ScreamTracker 2 & 3 files.
  * Fix playback of the first file handled by the modplug demuxer.
  * Refuse to build with known-broken libmodplug (0.8.8).
    http://bugs.debian.org/588465
  * Fix a potential freeing of unallocated memory.
* Mon Apr 26 2010 ro@suse.de
- buildignore libcdio-mini-devel
* Sun Mar  7 2010 Manfred.Tremmel@iiv.de
- update to 1.1.18.1
  * Oops. compat.c (for DXR3 support) was omitted.
  * Fix up V4L/V4L2 compilation. Some non-Linux have V4L2 but not V4L.
  * Fix a size check (wrong variable, causing int/ptr comparison) in rmff.c.
  * Fix build with the old, outdated and deprecated internal ffmpeg.
* Wed Feb 24 2010 Manfred.Tremmel@iiv.de
- update to 1.1.18
  * Bump the FLAC decoder's priority above ffmpegaudio. This should fix
    various problems with FLAC playback.
  * Build fix (undefined symbol) for when using older ffmpeg.
  * TTA demuxer fixes; allow seeking.
  * More meta-information tags.
    Only the Ogg demuxer knows about these at present.
  * Added basic support for .qtl (Quicktime media link).
  * "Fixed" playback of 24-bit FLAC.
  * Fixed playback of 24-bit LPCM.
  * Work around an ffmpeg bug concerning Sorenson Video 3.
  * Flash audio bug fixes, mostly concerning AAC.
  * Fix DXR3 support for newer versions of the em8300 driver.
  * Added support for WMA Pro.
* Wed Feb  3 2010 Manfred.Tremmel@iiv.de
- patches can't be build to work with crippled and non crippled tarball
  with fuzz=0, added "-F2" for patch 50 and 61 to fix this
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Fri Jan  8 2010 ro@suse.de
- rediffed again
* Wed Dec 16 2009 meissner@suse.de
- rediffed for fuzz=0
* Tue Dec  1 2009 Manfred.Tremmel@iiv.de
- update to 1.1.17
  * Add support for Matroska SIMPLEBLOCK.
  * Add support for sndio (OpenBSD sound API).
  * Correct invalid MIME info in the MOD demuxer.
  * Fix a resource leak in libdvdnav.
  * Properly NUL-terminate when reading ID3v2.2 tag content.
  * Fix handling of the length of UTF-16 content sourced from, e.g., ID3 tags.
  * Make ~/.xine/catalog.cache writing safer: write a new file & atomically
    replace the old one.
  * Initial parsing of Xing header LAME extension.
  * Fixes for gapless playback.
  * Added padding delay to the first and last frames (MPEG audio).
  * Fixed buggy discontinuity handling when playing short streams and using the gapless switch. The current time should not be used here.
  * Added audio padding handling. (New buffer flag for this.)
  * Fix seeking in large raw DV files.
  * Ported to new libmpcdec API (retaining build compat. with the old API).
  * Cope with CDDB return code 211 (multiple entries).
  * Allow reading of non-block-sized chunks from audio CDs.
  * Add a user agent & protocol hack ("qthttp://...") to allow direct
    viewing of Apple film trailers.
  * Fixed int-to-float conversion in the JACK output plugin.
  * Work around MOD files with reported length == 0.
  * Reworked Matroska demuxer. Now reads files created by mkvmerge 2.7.0.
  * Support BluRay/HDMV streams & subtitles.
  * The XML parser & lexer code now has re-entrancy.
  * Fixed a bug which prevented "dvb://" (no channel specified) working with
    the default configuration.
  * Handle VC1 extradata requirement (should fix playback).
* Wed Nov 18 2009 lnussel@suse.de
- enable libmodplug on >= 11.2
* Sat Nov 14 2009 Manfred.Tremmel@iiv.de
- merged packman and openSUSE package
- update to 1.1.16.3
  * Security fixes:
  - Fix another possible int overflow in the 4XM demuxer.
    (ref. TKADV2009-004, CVE-2009-0385)
  - Fix an integer overflow in the Quicktime demuxer.
  * Enable libmpeg2new (if configured with --enable-libmpeg2new).
    This is not yet production code; the old mpeg2 decoder remains the default.
  * Add support for OpenBSD.
  * Fix a build failure on *BSD due to some rather useful GNUisms.
  * Protect audio loop so it cannot write to a paused device (fix
    pause/resume freeze with pulseaudio).
  * Fix build with libavutil >= 50.0.0.
  * Fix segfaults when playing VCDs.
  * Fix calculation of frame duration for ffmpeg-decoded formats.
  * Don't assume that ID3v2 tags with no content mean "end of ID3 data".
- changes from 1.1.16.1 to 1.1.16.2:
  * Build fixes related to ImageMagick 6.4 & later.
  * Fix an error in Matroska PTS calculation.
  * Some front ends hang due to the hang fixes in 1.1.16. Fix this by
    removing a break statement.
  * Fix broken size checks in various input plugins (ref. CVE-2008-5239).
  * More malloc checking (ref. CVE-2008-5240).
  * Fix race conditions in gapless_switch (ref. kde bug #180339)
  * Fix a possible integer overflow in the 4XM demuxer.
    (TKADV2009-004, CVE-2009-0385)
* Tue Sep 29 2009 meissner@suse.de
- trying to fix timing issue in MJPEG plugin. bnc#327569
* Fri Sep 25 2009 meissner@suse.de
- Made my xine MJPEG plugin more stable. bnc#327569
  (still crashes in XShm mode, but this might be due to XShm)
* Fri Mar  6 2009 mhopf@suse.de
- Updated security fix for 4xm demuxer (TKADV2009-004, bnc#473825)
* Tue Feb 17 2009 lnussel@suse.de
- fix libtool breakage on older distributions with hack
* Tue Feb 10 2009 mhopf@suse.de
- Security fix for 4xm demuxer (TKADV2009-004, bnc#473825)
* Tue Jan 27 2009 mhopf@suse.de
- Update to 1.1.16.1:
  * Security fixes:
  - Heap overflow in Quicktime atom parsing.                 (CVE-2008-5234)
  - Multiple buffer overflows.                               (CVE-2008-5236)
  - Multiple integer overflows.                              (CVE-2008-5237)
  - Unchecked or incompletely-checked read function results. (CVE-2008-5239)
  - Unchecked malloc using untrusted values.  (CVE-2008-5240, CVE-2008-5242)
  - Integer underflow in qt compressed atom handling.        (CVE-2008-5241)
  - Buffer indexing using untrusted or unchecked values.     (CVE-2008-5243)
  - Integer overflows in the ffmpeg audio decoder and the CDDA server.
  - Heap buffer overflow in the ffmpeg video decoder.
  - Avoid segfault on invalid track type in Matroska files.
  - Avoid underflow (compressed atoms) in the Qt demuxer.
  * Fix reported compilation failures (with C++ programs).
  * Fix CDDB access in 64-bit builds.
  * Fix seeking FLV clips that don't specify the movie length in the headers.
  * Support H.264 and AAC streams within FLV.
  * Fix timing issues (broken audio) on mingw.
  * Add ID3 tag TDRC to replace/complement the deprecated tag TYER.
  * Add a new meta-tag, "Composer", and use it in the FLAC demuxer.
  * Correct AAC channel ordering for multi-channel audio, at least for FLAC
    when using ALSA or PulseAudio. (Needs a proper fix.)
  * Add position-based seeking independent from seekpoints.
  * Fix some XCB Xv attribute configuration breakage.
  * Add a configuration option for Xv bicubic filtering, implemented in
    xf86-video-ati 6.9.1.
  * Recognise Xv "blitter" adaptors for port selection purposes.
    NOTE: you will need to remove ~/.xine/catalog.cache when upgrading from
    xine-lib 1.1.15 or older if you wish to use this extra option.
  * Fix MMS media requests where the URI contains %%-encoded characters.
  * Fix two hangs related to stopping playback of broken audio streams where
    no audio data is sent to the output thread.
  * Fix WAV demuxer to send the last frames when they don't fit perfectly into
    the buffer
  * Fix build with older ffmpeg, both internal and in Debian 5.0.
  * Add version check for CACA library and disable CACA plugin if needed
  * Fix playback of some H.264 files (broken in 1.1.16).
  * Various other build & bug fixes.
  * Some FAQ list updates.
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Nov 27 2008 ro@suse.de
- update baselibs.conf
* Thu Nov 13 2008 lnussel@suse.de
- explicitly require Mesa-devel
* Tue Oct 21 2008 lnussel@suse.de
- fix build with newer autoconf
* Wed Sep 17 2008 lnussel@suse.de
- add some more obsoletes/provides for legacy packman packages
- fix build with newer ffmpeg releases
* Thu Sep  4 2008 lnussel@suse.de
- split and rename package to adhere to library package conventions
* Tue Aug 26 2008 lnussel@suse.de
- remove fuzzy hunk from xine-lib-1.1.15-cpp-compilation.diff to fix
  build on older distributions
* Fri Aug 22 2008 lnussel@suse.de
- Update to 1.1.15:
  * Security fixes:
  - Fix crashes with various corrupted media files, including Ogg.
    (CVE-2008-3231)
    This includes a libfaad update from the 1.2 branch.
  - Delay V4L video frame preallocation until we know how large they'll be.
  - Fix an exploitable ID3 heap buffer overflow.
  - Check for possible buffer overflow attempts in the Real demuxer.
  - Use size_t for data length variables where there may be int overflows.
  - Add some checks for memory allocation failures.
  * Use external ffmpeg and libfaad by default.
  * V4L: Don't segfault if asked for an input that doesn't exist.
  * Recognise AMR audio (normally found in 3GP files).
  * Recognise Snow video.
  * Xv deinterlacing didn't take the size of the deinterlaced image into
    account; on some chipsets, this would cause image corruption, while on
    others, there would be no problem.
  * V4L: only try and set the tuner if we're going to use it. Setting the tuner
    when using baseband video (CVBS, S-Video) breaks the input.
  * Fix crashes with MP3 files with metadata consisting only of separators.
- move extra skins to xine-ui package
- use external faad and ffmpeg libraries
* Fri Aug  1 2008 mhopf@suse.de
- Verify whether the visual is direct rendering capable before actually
  activating the opengl plugin (bnc #402687)
* Fri Jul 25 2008 lnussel@suse.de
- Update to 1.1.14:
  * DVB changes:
  - Reacquire PIDs whenever a PMT is parsed. (Some channels' PIDs are
    changed on a regular basis.)
  - Recognise more stream formats (as defined in the broadcast PMT).
  - Allow automatic detection of more DVB tuning parameters.
  - Allow the GUI to be disabled.
  - Allow configuration of the location of channels.conf.
  * V4L: allow TV standard selection.
  * Allow input plugins to report MIME type information.
  This is used for demuxer plugin selection immediately before testing the
  filename extension (so it won't work when demuxer selection is done by
  stream content only). [Bug #120]
  * Allow input plugins to ask for a specific demuxer, overriding the normal
  demuxer selection methods. (Most won't need this.)
  * The Xv and XxMC video output plugins now support Xv port selection via
  two methods: port number and port type (currently "any", "overlay" and
  "textured video"). Port number takes precedence; the plugins will fall
  back on another port of the same type (if a type was specified) then on
  whatever they can find.
  XvMC does not support port selection at present.
  (Backported from the 1.2 branch.)
  * Fix MPEG TS audio stream problems introduced in 1.1.13.
  * Add basic aspect ratio detection for Windows Media Video streams.
- Update to 1.1.13:
  * Security fixes:
  - Buffer overflow in the NSF demuxer which may allow remote attackers to
    cause a denial of service (crash) or possibly execute arbitrary code
    via an NSF file with a long title or copyright message. (CVE-2008-1878)
  - For extra safety against possible Integer overflows like the ones found
    in CVE-2008-1482, backport more calloc usage from 1.2 branch.
  * Improved JACK output plugin.
  * Added MIME types and .mpp for musepack.
  * Fixed display of some MJPEG streams (YUVJ420P).
  * Deprecate xine_xmalloc() function, see src/xine-utils/utils.c for more
  information about the reason.
  * Provide a useful implementation of xine_register_log_cb().
* Thu Jun 19 2008 schwab@suse.de
- Remove local libtool macros and run autoreconf.
* Wed May 14 2008 mhopf@suse.de
- Update to 1.1.12:  (fixes bnc#379499)
  * Fixed and improved the PulseAudio driver.
  * Fixed a regression in 1.1.11.1 which broke Quicktime container handling.
  * And another, this time in the Matroska demuxer.
  * Added a tool to assist with generating front ends' desktop files. It
  lists MIME types & filename extensions known to the installed xine-lib.
  * Various Real codec improvements, including:
  - RV20 no longer causes segfaults (observed on amd64);
  - Cook is now handled by ffmpeg.
  * Added a video output plugin intended for passing raw data to the front end.
* Fri Apr 18 2008 lnussel@suse.de
- fix overflow in nsf demuxer (bnc#380772, CVE-2008-1878)
* Thu Apr 17 2008 lnussel@suse.de
- Update to vdr-xine-0.8.2
  * bugfix release
- don't use %%run_ldconfig anymore
- don't install non-Linux READMEs
* Tue Apr 15 2008 lnussel@suse.de
- fix insufficient bounds checking in speex decoder (bnc#379106,
  CVE-2008-1686)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Mar 31 2008 mhopf@suse.de
- Update to 1.1.11.1:
  * Added a few more memory allocation checks to the above demuxers.
  * WAV file playback fix: don't assume that the first chunk is "fmt ".
  * Don't try to play partial 24-bit AIFF frames (decoder would lose data).
  * Fixed AIFF comment chunk handling and sample rate reading.
  * LPCM fixes: input over-reading, conversion of 24-bit samples.
- Updated precheckin_cripple_tarball.sh
* Tue Mar 25 2008 mhopf@suse.de
- Security fix for bnc#372877: integer overflows in malloc
  CVE-2008-1482
- Added missing aalib-devel dependency.
* Wed Mar 19 2008 mhopf@suse.de
- Update to 1.1.11:
  * Security fixes:
  - Array Indexing Vulnerability in sdpplin_parse(). (CVE-2008-0073)
  * Reworked the plugin directory naming so that external plugins don't have
    to be rebuilt for every release. We now use a naming scheme based on the
    API/ABI versioning, checking older directories - with this release, the
    plugin directory name is 1.20, and if this gets bumped to 1.21 in a
    future release, 1.20 will still be available for external plugins.
    (Any directories not 1.* won't be looked in.)
  * Made the version parsing much more reliable; it wasn't properly coping
    with four-part version numbers. This affects any program whose build
    scripts use xine-lib's automake macros.
  * Fixed an off-by-one in the FLAC security fix patch. This breakage was
    causing failure to play some files.
  * Support 16-bit big-endian DTS audio.
  * Improved frame snapshot API. (ABI extension.)
  * Re-add support for # (stream parameter separator) in raw filenames,
    without the bugs found in the original implementation.
    (This is a convenience feature for users only. Front ends which rely on
    it for functions like subtitle file detection must instead use file://
    MRLs; if they don't, we consider them to be buggy.)
  * Fixed long delay when closing stream on dual core systems [Bug #33]
* Mon Mar 10 2008 lnussel@suse.de
- get rid of nosrc so a debuginfo package get created (bnc#284030)
* Fri Feb 15 2008 lnussel@suse.de
- Update to 1.1.10.1:
  * Security fix: Array index vulnerability which may allow remote
    attackers to execute arbitrary code via a crafted FLAC tag,
    causing a stack buffer overflow. (CVE-2008-0486)
  * Fix a RealPlayer codec detection bug.
  * Improve detection of MP3 streams with ID3v2 tags. Don't trust the tag
    size.
* Tue Jan 29 2008 lnussel@suse.de
- Update to 1.1.10: Maintenance release with security fix
  * Security fixes:
  - Buffer overflow which allows a remote attacker to execute arbitrary
    code or crash the client program via a crafted ASF header.
    (Related to CVE-2006-1664)
  * Update Ogg and Annodex mimetypes and extensions.
  * Change the default v4l device paths to /dev/video0 and /dev/radio0.
  * Fix support for subtitles with schemes (e.g. http://), partly broken
    since 1.1.8.
  * Unescape the filename in "#save:". This allows filenames to contain ';'
    etc. without ambiguity, e.g. "#save:foo%%3B1.ts" -> "foo;1.ts", but front
    end authors should be careful with xine-lib older than 1.1.10.
  * Backported xine-config & libxine.pc from 1.2.
    Consequently, xine-config now requires pkg-config.
  * Don't discard audio samples forever. Fixed streaming playback.
  * Fix a possible crash on channel change in the DVB plugin.
  * Flash video demuxer improvements and bug fixes.
  * Make the V4L ALSA audio input device configurable.
- stick with xine-lib instead of xine-base
* Tue Jan 29 2008 lnussel@suse.de
- fix build on older distros and x86_64
* Thu Jan 24 2008 mhopf@suse.de
- Add mad-devel only if building uncrippled.
* Tue Jan 22 2008 mhopf@suse.de
- Move source package to xine-base:
  - Build xine-internal depending on define in top of specfile
  - Make package distributable for inclusion in openSUSE.
- xine-internal now created by additional xine-base-internal package.
* Fri Jan 11 2008 mhopf@suse.de
- Update to 1.1.9.1: Security fix
  Buffer overflow in RTSP header-handling code. (CVE-2008-0225)
* Thu Jan 10 2008 lnussel@suse.de
- fix path to vdr-xine fifos
* Mon Jan  7 2008 mhopf@suse.de
- Update to 1.1.9: Maintenance release
  * Fix dvd://.../title[.chapter] handling.
  * Many DVB fixes.
  * Fix incorrect H.264 detection on successive MPEG1/2 B frames.
  * Add UI option to configure FFmpeg's video decoder thread count.
  * Improve syncing of audio and video in the presence of bad frames.
  * Improve handling of invalid or unknown frame sizes.
  * Fixes in Flash video, Real demuxer, sputext, subtitle rendering.
  * Fixes in XML, UTF-8, URL, filename handling.
  * Crash, deadlock, and build fixes.
  * Nicer wakeup behaviour, using select instead of nanosleep (800 -> 100
    wakeups/s).
  * Fix ALSA sample loss on close.
  * Updated translations.
  * Detect corrupted or broken seek tables in CBR MP3 files. [Bug #3]
- Update to vdr-xine-0.8.1
* Tue Nov 13 2007 mhopf@suse.de
- Workarounds to compile with gcc 4.3
* Wed Oct 31 2007 ro@suse.de
- include assert.h for alsa source
* Fri Oct 19 2007 lnussel@suse.de
- Update to vdr-xine-0.7.12
* Tue Aug 28 2007 mhopf@suse.de
- Installing input_vdr.h again (304220).
* Tue Aug 28 2007 mhopf@suse.de
- Fixed DVB issues (305265).
- Updated to 1.1.8 - mostly Bugfixes:
  * Fix an audio resampling problem which was causing regular clicking.
  * Fix a crash with "dvb:/".
  * DVB subtitle fixes: deadlock prevention, thread leakage, spec compliance.
  * Allow the DVB input plugin to timeout if it is receiving no signal.
  * Fix handling of multiple MPEG TS audio streams & subtitle languages.
  * Clean up "%%" unescaping in MRLs; correctly handle "%%" in DVD and VCD MRLs.
  * Fix some memory leaks in the Vorbis decoder and video overlays.
  * Fix a problem with the goom plugin which could cause it to stop working.
  * Various small video frame-handling bug fixes.
  * Send a channel-changed event to the frontend when receiving the SYNC
    string from last.fm streaming server.
  * Add colouring for bold & italic in text subtitles.
  * Simple scaling of subtitles to fit the frame width (intended to cope
    with common DVB resolutions such as 544x576).
  * Add options to control bob deinterlacing in the XxMC video output plugin.
* Sat Aug 18 2007 ssommer@suse.de
- Recommend and use opensuse-codecs-installer
* Mon Jul  2 2007 mhopf@suse.de
- Fixed MJPG decoder linkage.
- Finally removed obsolete vdr-xine-lib-0.7.10-noncrippled.diff.
* Thu Jun 28 2007 meissner@suse.de
- added motion jpeg decoder plugin so we can play
  movies captured by digital camera even on the crippled
  version.
* Tue Jun 12 2007 mhopf@suse.de
- Fixed precheckin_cripple_tarball.sh
- Updated to 1.1.7:
  * Support for libdca.
  * handle disappearing audio devices (typically USB).
  * Fixed VCD playback (broken since 1.1.4).
  * Various other minor fixes and improvements.
* Thu Apr 26 2007 lnussel@suse.de
- fix build on 10.2 by excluding xcb plugins from file list
* Wed Apr 18 2007 mhopf@suse.de
- Updated to 1.1.6:
  * 1.1.5 had a few problems with CD audio and DVD playback.
  * Split the DirectFB plugin into X11 and non-X versions.
  * Fixed the XcbXv plugin - an empty plugin would be built if "old" Xv
    isn't detected.
  * Reworked the channels.conf file handling in the DVB plugin.
  * Fixed a CDDA-related crash and a DVD-related hang.
* Mon Apr 16 2007 mhopf@suse.de
- Updated to 1.1.5:
  * Security fixes.
  * Improved PulseAudio plugin.
  * Added XCB-based output plugins (Xv and XShm).
  * Fix race condition in alsa audio out driver.
  * Fixed a crash in the eq2 plugin.
  * Fixed content type detection for AAC.
  * Parse ID3v2 tags on AAC and FLAC files, as well as mp3 files.
  * Priority of the AAC encoder is now lower than anything else.
  * Relicense the xine-lib XML parser under the GNU LGPL.
  * Spanish translation updated by Carlos E. Robinson M.
  * Don't leave libstk support to be detected automagically.
  * Cleaned up Real binary codecs support.
  * Avoid a possible floating-point exception when starting stream playback.
  * Now xine can play correctly media on HTTP servers reporting status codes
    but no status message.
  * Wave files with 24-bit integer PCM streams now should play correctly.
  * Added centre-cutout (4:3 in 16:9) to the expand plugin.
  * Fix support of block devices for AC3 and DTS demuxers.
  * Fix amp muting when level is still at 100.
  * Create at least a 1x1 shared image when the first frame is skipped.
  * Send an event when the amp level is modified.
  * Add support for H.264 video stream in PES packets.
  * Support multiple audio PID in MPEG TS.
  * Multiple platform fixes.
* Wed Mar 28 2007 mhopf@suse.de
- Distributed source tarball is now crippled.
  Call precheckin_cripple_tarball.sh for new xine-lib tarballs.
- Major build update.
* Wed Mar 14 2007 mhopf@suse.de
- Security fix for #254374: DSO loader buffer overflow.
  CVE-2007-1387
- BuildRequires fix (libcdio).
* Tue Feb 27 2007 sbrabec@suse.cz
- Reduced BuildRequires.
* Wed Jan 31 2007 mhopf@suse.de
- Update to xine-lib-1.1.4
- Update to vdr-xine-0.7.10
- Fixed some new(?) installation failures
- xineplug_flac has to be triggered on configure manually now.
* Thu Jan 18 2007 mhopf@suse.de
- Fix comparing char* pointer with a string literal.
* Fri Dec  8 2006 mhopf@suse.de
- Update to xine-lib 1.1.3
- Fixed several strncat() and dubious postincrements.
* Thu Nov 30 2006 mhopf@suse.de
- Security fix for #224813: Potential buffer overflow for real media.
  SF tracker #1603458:
  https://sf.net/tracker/index.php?func=detail&aid=1603458&group_id=9655&atid=109655
* Tue Nov 21 2006 mhopf@suse.de
- Security fix for #222892: Insufficient validation of AVI headers.
  CVE-2006-4799 and CVE-2006-4800.
* Mon Oct 16 2006 ro@suse.de
- remove DirectFB from BuildRequires (unused)
* Thu Oct 12 2006 mhopf@suse.de
- Hotfix for automake-less patch.
* Wed Oct 11 2006 mhopf@suse.de
- Missed spu detection in one place.
- Fixed for building w/o automake.
- Spec file cleanup.
* Tue Oct 10 2006 mhopf@suse.de
- Fixed detection of crippled package for DVD playback (mpeg2 + spu).
* Wed Sep 27 2006 lnussel@suse.de
- build xine-ui in separate package
* Mon Sep 11 2006 mhopf@suse.de
- Fixed VDR plugin build.
* Fri Aug 11 2006 mhopf@suse.de
- Fixed X11R6 paths in docs.
* Tue Aug  8 2006 mhopf@suse.de
- Fixes for compatibility to X.org 7.1
- Cleaned up web references (codec crippled xine + base url)
- Improved author lists
- Removed unnecessary autoreconf for libs.
- Added plugins that are finnally building on ppc64 (+s390?)
- More cleanup
* Thu Jul 13 2006 mhopf@suse.de
- Update to xine-lib-1.1.2
- Update to vdr-xine-0.7.9
- Cleanup, renamed several patches.
* Thu Jul  6 2006 mhopf@suse.de
- Security fix for #190398: Buffer overflow in libmms.
- xine-devel Requires: xine-lib now.
* Wed Jun 21 2006 mhopf@suse.de
- Update po/Makefile.in.in for updated autotools.
* Mon Jun 19 2006 schwab@suse.de
- Work around broken use of configure substitutions.
* Tue Jun  6 2006 mhopf@suse.de
- Improved fix for #180850: Use correct buffer size.
* Thu Jun  1 2006 mhopf@suse.de
- Security fix for #180850: Buffer overflow in HTTP input plugin.
* Wed May 17 2006 schwab@suse.de
- Fix unaligned access.
* Sun May 14 2006 schwab@suse.de
- Fix undefined symbol [#173413].
- Fix misuses of sprintf.
- Ensure non-executable stack.
* Thu Apr 20 2006 mhopf@suse.de
- Security fix for #167276: http://open-security.org/advisories/16
* Thu Apr 20 2006 meissner@suse.de
- Removed -U_FORTIFY_SOURCE. Verified xine --keymap working.
* Tue Apr 11 2006 mhopf@suse.de
- Security fix for http://www.xfocus.org/advisories/200603/11.html,
  as far as xine is affected.
* Thu Mar 30 2006 mhopf@suse.de
- Fix for #157854: Check for mad and ffmpeg before advertizing mp3.
- Improved fix for shared images, but not shared pixmaps.
* Thu Mar 16 2006 mhopf@suse.de
- Really fixed #132749: crippled xine URL was no longer valid.
  Missed text in one of the patches.
* Fri Mar 10 2006 bk@suse.de
- Add esound-devel to BuildRequires (was implicily by SDL-devel)
* Mon Mar  6 2006 mhopf@suse.de
- xine-ui had broken user interface on Xservers that support shared images,
  but no shared pixmaps (like Xgl). Fixed.
* Fri Mar  3 2006 mhopf@suse.de
- Fixed #132749: crippled xine URL was no longer valid.
  Now on opensuse.org.
* Wed Mar  1 2006 mhopf@suse.de
- Fixed #144083: vdr button not shown.
* Fri Jan 27 2006 mhopf@suse.de
- Fixed BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 mhopf@suse.de
- Fixed snapshot function (aspect ratio calculation).
* Mon Jan  9 2006 schwab@suse.de
- Fix support for RealPlayer10 codecs.
* Tue Jan  3 2006 mhopf@suse.de
- Update to xine-lib 1.1.1
- Update to vdr-xine 0.7.6 (adapted to 1.1.1)
* Sun Dec  4 2005 lmuelle@suse.de
- Revert libsmbclient renameing.
* Mon Nov 14 2005 lmuelle@suse.de
- Use samba-libs instead of libsmbclient.
* Thu Oct 27 2005 adrian@suse.de
- xine-internal needs xine-mad now
* Tue Sep  6 2005 schwab@suse.de
- Use <mad.h> instead of own headers, SIZEOF_INT is missing.
* Tue Sep  6 2005 adrian@suse.de
- use external mad lib, fix crashes on 64bit (#115358)
* Thu Sep  1 2005 tiwai@suse.de
- Fix suspend/resume (#114725)
* Mon Aug 29 2005 jw@suse.de
- That is actually: *Do* compile with -U_FORTIFY_SOURCE ...
* Mon Aug 29 2005 kukuk@suse.de
- Fix xine-ui version number
- Don't compile with -U_FORTIFY_SOURCE as workaround for [#113612]
* Thu Aug 25 2005 lnussel@suse.de
- update vdr-xine to version 0.7.5
* Thu Aug 25 2005 schwab@suse.de
- Fix last change.
* Thu Aug 25 2005 adrian@suse.de
- require explicit the xine-lib version in plugin packages
* Fri Aug 19 2005 adrian@suse.de
- move mpeg codecs to -mad package
- convert default video into theora format
* Thu Aug 11 2005 adrian@suse.de
- enable smb and openGL plugins again
- extra file to mark mad support
* Tue Aug  9 2005 schwab@suse.de
- Don't hardcode cache line size.
* Fri Aug  5 2005 lnussel@suse.de
- update to vdr-xine-0.7.4
* Thu Aug  4 2005 adrian@suse.de
- update xine-lib to version 1.1.0 to fix crashes with gcc4
- update xine-ui to version 0.99.4
* Thu Jul 21 2005 hvogel@suse.de
- Set Version tag in the xine-ui subpackage
* Mon Jul 18 2005 schwab@suse.de
- Fix undefined operation.
- Support RealPlayer10 codecs.
* Tue Jul 12 2005 adrian@suse.de
- package xineplug_vo_out_xvmc again, xvmc got fixed
* Wed Apr 27 2005 adrian@suse.de
- update to version 1.0.1
  * security fixes
  * mpc/musepack decoder
- remove extra binaries for mmx/xmm and trust in runtime detection
* Tue Apr 12 2005 adrian@suse.de
- fix compilation with gcc 4
* Fri Apr  8 2005 adrian@suse.de
- move arts plugin to -extra package, since it is no optional in KDE
* Wed Mar  9 2005 adrian@suse.de
- avoid dependencies to main package
* Wed Mar  2 2005 adrian@suse.de
- parallelise build
* Thu Feb 17 2005 adrian@suse.de
- new url for xine dvd explanations
* Mon Jan 31 2005 lnussel@suse.de
- set vdr-xine fifodir to /var/lib/vdr-xine
* Mon Jan 31 2005 adrian@suse.de
- apply patch to support new vdr
* Tue Jan 25 2005 sbrabec@suse.cz
- Use system libcdio and libvcdinfo.
* Mon Jan 10 2005 adrian@suse.de
- disable XvMC support temporarly, the current X11 snapshot does mis
  it.
* Mon Jan  3 2005 adrian@suse.de
- update to the FINAL version 1.0 !
  * spudvb support
- update xine-ui to version 0.99.3
- own subpackage for -mad dependency
* Wed Nov 10 2004 uli@suse.de
- fixed to build on ppc64, s390* (no X?MC)
* Tue Nov  9 2004 adrian@suse.de
- update to version 1.0 rc7
  * rewritten DVB support
  * speed improvements
  * fix for playback freezes on 2.6 kernel
* Thu Oct 14 2004 ro@suse.de
- added gnutls et.al. to neededforbuild
* Sat Sep 25 2004 adrian@suse.de
- fix build of mad decoder (leads to crashes on 64bit #46091)
- downgrade goom plugin due to problems on 64bit (#46091)
* Fri Sep 24 2004 adrian@suse.de
- fix permissions on directories (#45957)
* Mon Sep 20 2004 adrian@suse.de
- update to verions 1.0 rc6a
  * further security fix and obsoletes patches
  * fix for QuickTime 6.3 DLLs
* Sat Aug 21 2004 adrian@suse.de
- review the new plugins and move them either to the
  public or internal package
- move flac to xine-lib, since we have flac anyway installed
  by default now.
* Thu Aug 19 2004 adrian@suse.de
- add libtheora-devel to nfb
* Tue Aug 10 2004 adrian@suse.de
- fix buffer overflow in vcd input plugin (#43642)
  http://www.open-security.org/advisories/6
* Tue Jul  6 2004 adrian@suse.de
- update xine-ui to version 0.99.2
* Wed Jun 23 2004 adrian@suse.de
- update to version rc5
* Sat May 15 2004 adrian@suse.de
- update to version rc4a
- add /usr/lib/win32 dir on ia32
* Sat May  1 2004 adrian@suse.de
- add input plugin from VDR system
- revert libmpeg2 change, it got too imcompatible meanwhile
- add some skins for xine-ui
* Thu Apr 29 2004 adrian@suse.de
- update to version rc4
- use external libmad and libmpeg2
* Thu Apr 22 2004 adrian@suse.de
- update xine-ui to version 0.99.1
* Wed Apr 14 2004 adrian@suse.de
- update to version rc3c.
- enable theora support
* Sat Apr  3 2004 adrian@suse.de
- fix crash in goom plugin on 64bit (#36702)
* Sun Mar 21 2004 adrian@suse.de
- fix crash, when accessing a DVD
* Thu Feb 26 2004 adrian@suse.de
- enable arts plugin again for all architectures
* Thu Feb 12 2004 adrian@suse.de
- fix build (any base header had defined TRUE and FALSE before)
* Thu Feb  5 2004 adrian@suse.de
- this changelog entry misses a proper excuse, why the last one
  broke the build
* Wed Feb  4 2004 adrian@suse.de
- remove theora from build system, or ogg would require it
* Sun Feb  1 2004 ro@suse.de
- fix file-list for s390* (alsa)
* Sat Jan 31 2004 adrian@suse.de
- add switch to enable theora support, disabled by default
* Mon Dec 29 2003 adrian@suse.de
- update to version 1.0.0rc3a
  * works with NPTL on kernel 2.6 now
* Fri Dec 26 2003 adrian@suse.de
- update xine-ui to version 0.9.23
* Thu Dec 18 2003 adrian@suse.de
- update to version 1.0.0rc3
* Sun Nov 23 2003 adrian@suse.de
- accept alsa 1.0 release in config check
* Mon Oct 27 2003 adrian@suse.de
- update to version 1.0.0rc2
  * new/better VCD plugin
* Tue Oct 14 2003 adrian@suse.de
- update to version 1.0.0rc1
  * most amd64 patches are merged
  * new frame buffer output plugin
* Mon Sep 22 2003 adrian@suse.de
- fix rpm v4 Provides/Obsoletes behaviour
* Sun Sep 21 2003 adrian@suse.de
- do not try to open the dvd device at all, if needed codecs
  are missing (or a dead lock can happen) #30224
- move dxr3 plugin to -extra, because of confusing console
  messages (most people do not have the dxr3 hardware)
* Fri Sep 19 2003 adrian@suse.de
- move alsa plugin into -extra package, not in default selection
  * depending on the driver it crashes in libasound on some systems
    while oss works fine
* Fri Sep  5 2003 adrian@suse.de
- justify Categories
* Wed Sep  3 2003 adrian@suse.de
- add warning popup, if the user click on dvd button and
  has not sufficient support to play it
* Tue Aug 19 2003 adrian@suse.de
- better 64bit fixes, unbreaking raw device support again
- do not load modules on ix86 multiple times
* Tue Aug 19 2003 adrian@suse.de
- fix libdvdnav/read for 64bit/amd64
- enable SSE/MMX on amd64
- some magic mmx/sse fixes for amd64 from aj
- compile the fallback plugins really without mmx on ix86
* Thu Aug 14 2003 adrian@suse.de
- move speex plugin back to main package, ogg needs it anyway now
- head/tail syntax fixes
- fix crippled logo detection without xine-internal installed
- use desktop file from kappfinder
- do not package arts plugin on 64bit, it cause heavy memory
  problems and I really do not want to fix them, after I have
  seen the compiler warnings ...
* Fri Aug  8 2003 adrian@suse.de
- update xine-ui to version 0.9.22
* Wed Aug  6 2003 adrian@suse.de
- move speex plugin to -extra
* Sun Aug  3 2003 adrian@suse.de
- update to version 1-rc0
  * new support for speex and other
  * broadcast functionality
* Tue Jul 29 2003 adrian@suse.de
- add update-desktop-files to #neededforbuild
- fix gnome-vfs detection on lib64
- define x86_64 architecture
* Mon Jul 28 2003 adrian@suse.de
- fix file list
* Mon Jul 28 2003 adrian@suse.de
- add Categories
* Tue Jul 22 2003 adrian@suse.de
- package missing directories
* Tue Jul 22 2003 adrian@suse.de
- fix build for older distributions
- add MMX optimized plugins
- build a SSE and a MMX libxine additionaly.
* Tue Jul 15 2003 adrian@suse.de
- workaround libtool rpath auto usage
- fix build for non-ix86 architectures
- disable gnome_vfs support on 64bit until gnome is fixed
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 17 2003 ro@suse.de
- added directories to filelists
* Mon Jun  2 2003 schwab@suse.de
- Put manpages in the correct subpackages.
* Fri May 30 2003 adrian@suse.de
- build also SSE/i686 optimized plugins on ia32
  and patch xine to support them, if the cpu provides SSE
  (there are already runtime checks in some code, but this is
  the only way to get complete i686 optimized plugins)
- remove unneeded .la files in plugin directory
* Sun May 18 2003 adrian@suse.de
- update xine-ui to version 0.9.21
* Fri May 16 2003 adrian@suse.de
- fix patch to build also with 2.4 headers
* Tue May 13 2003 adrian@suse.de
- fix build
* Mon May 12 2003 ro@suse.de
- fix build with current glibc/kernel includes
* Mon May 12 2003 adrian@suse.de
- update to version 1.0-beta12
  (sorenson support, but it is not distributable)
* Tue Apr 29 2003 adrian@suse.de
- update to version 1.0-beta11
* Wed Apr 16 2003 adrian@suse.de
- fix typos
* Tue Apr 15 2003 adrian@suse.de
- fix criple runtime check
* Wed Apr  9 2003 schwab@suse.de
- Fix uninitialized variable.
* Wed Apr  9 2003 adrian@suse.de
- update to version 1.0-beta10
- rename package from xine to xine-lib and create xine-ui and
  an internal xine-INTERNAL package to check the packaging
- add freetype support
* Mon Apr  7 2003 kukuk@suse.de
- Not all architectures have ALSA
* Wed Mar 12 2003 adrian@suse.de
- use cripple warning in default video
* Mon Feb 24 2003 schwab@suse.de
- Fix broken configure check.
* Mon Feb 17 2003 adrian@suse.de
- update legal comment according gsm 06.10
* Fri Feb 14 2003 adrian@suse.de
- add README.SuSE, written by Stanislav
* Wed Feb 12 2003 adrian@suse.de
- fix build for 8.1
* Wed Feb  5 2003 adrian@suse.de
- faad implementation is okay, but there are maybe other copyrights
  - > disabled
* Tue Feb  4 2003 adrian@suse.de
- update xine-lib to 1-beta4
- enable aalib support
- reorganize subpackages
  * xine-extra for Gnome2 plugins
  * xine-devel
- install .desktop file in KDE Multimedia menu
- install fonts, they are xine own property and freeware
* Sun Feb  2 2003 adrian@suse.de
- update xine-lib to version 1 beta3
- update xine-ui to version 0.9.18
- review all codecs for legal problems, still unsure on some,
  which remain disabled
* Mon Jun 10 2002 ro@suse.de
- added slang to neededforbuild (for aalib)
- fix build for lib64 running full auto-tools
* Tue Apr 16 2002 mmj@suse.de
- Turn /usr/share/man into %%docdir -> fix aaa_dir clash
* Thu Feb 14 2002 ro@suse.de
- changed neededforbuild <kdelibs3-artsd> to <arts arts-devel>
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Tue Dec 11 2001 ro@suse.de
- move dvd plugins to subpackage again
* Tue Nov 20 2001 ro@suse.de
- fix neededforbuild: xf86
* Tue Nov 20 2001 ro@suse.de
- added ogg-vorbis, esound. kdelibs-artsd to neededforbuild
* Mon Nov 19 2001 ro@suse.de
- no-fpic made it segfault on x86: force it to on
- disabled cpu-acceleration to make it compile with -fPIC
- update to 0.9.4
* Sat Nov  3 2001 stepan@suse.de
- update to 0.9.3. got rid of patches as they are included now.
* Thu Sep 27 2001 stepan@suse.de
- update to 0.9.1 (thanks to bjacke@suse.de)
- autoconf/gcc/libtool fixes. works on ia64 and s390 now.
* Tue Jun  5 2001 kukuk@suse.de
- Remove nox86 patch, not necessary and does not apply
* Tue May 22 2001 wimer@suse.de
- updated to version 0.4.3
- changed SuSE series to gra again (change vanished)
* Wed May  9 2001 wimer@suse.de
- updated to version 0.4.2 (stability fixes and works on ppc now)
- changed SuSE Series to gra instead of snd.
* Sat Apr  7 2001 bjacke@suse.de
- make xine look for win32 codecs
- move doc to correct place
- some spec file fixes
* Mon Mar 12 2001 wimer@suse.de
- initial version: 0.4.01
